# Registration Details

The Filing Assist Registration Details API allows you to interact with the workflow of order packages and retrieve information about specific registrations. It provides endpoints to list, retrieve, and get registration details.

Source: https://developer.avalara.com/products/registration-and-licensing/api/

**Version:** 1.0.0
**Base URL:** https://www.businesslicenses.com

---

## Endpoints

### Registrations

#### Acknowledge that registration details for the provided registrations have been retrieved.

`POST /filingassist/workflow-registrations/$acknowledge`

Acknowledges that registration details for the provided registrations have been retrieved. Accepts a list of registration objects and removes those registrations from the list.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `key` | string | query | No | Key provided by Avalara. Required only for partners retrieving their registration information. |
| `avalara-version` | string | header | Yes | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Supports request correlation across requests using the X-Correlation-ID header. |

#### Return a list of registrations.

`GET /filingassist/workflow-registrations`

Returns a paginated list of completed registrations, including registrations marked as No License Required.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | Specifies the API version to use. |
| `key` | string | query | No | Key provided by Avalara. Required only for partners retrieving their registration information. |
| `$skip` | integer | query | No | Number of records to skip before returning results. Used with $top for pagination. |
| `$top` | integer | query | No | Maximum number of records to return. Used with $skip for pagination. |
| `count` | string | query | No | Indicates whether to return the total record count. Returns -1 if the number of records is too large. |
| `countOnly` | string | query | No | Used with count. If both are true, returns only the count and does not return the list of records. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Supports request correlation across requests using the X-Correlation-ID header. |

#### Return registration information.

`GET /filingassist/workflow-registrations/{id}`

Returns registration information. Use $expand to retrieve related resources: status (Completed, Completed Action Required, or No License Required), detailFields (registration detail fields used for registration), deliverableAttachments (files created during the registration process), and renewalInfo (renewal and expiration details).

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | Unique identifier of the registration. |
| `avalara-version` | string | header | Yes | Specifies the API version to use. |
| `key` | string | query | No | Key provided by Avalara. Required only for partners retrieving their registration information. |
| `$expand` | string | query | No | Comma-delimited list of related resources to include in the response. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Supports request correlation across requests using the X-Correlation-ID header. |
